CREATE TABLE SALDKONT_AUTOPAY (
ID_SALDKONT_AUTOPAY NUMBER NOT NULL,
DATE_FROM DATE,
DATE_TO DATE,
PAY_DATE DATE,
POSLANO VARCHAR2(1 CHAR) NOT NULL,
ZAPIRANJE VARCHAR2(1 CHAR) NOT NULL,
REFERENCE VARCHAR2(12 CHAR),
USER_CREATE VARCHAR2(20 CHAR) NOT NULL,
DATE_CREATE DATE NOT NULL,
CONSTRAINT SALDKONT_AUTOPAY_PK PRIMARY KEY (ID_SALDKONT_AUTOPAY)
);

CREATE SEQUENCE SALDKONT_AUTOPAY_SEQ MINVALUE 1 NOMAXVALUE INCREMENT BY 1 START WITH 1 NOCYCLE NOCACHE;

CREATE TABLE SALDKONT_AUTOPAY_IZPISKI (
ID_SALDKONT_AP_IZPISKI NUMBER NOT NULL,
ID_SALDKONT_AUTOPAY NUMBER NOT NULL,
ID_SALDKONT_IZPISEK NUMBER NOT NULL,
ZNESEK NUMBER NOT NULL,
ZNESEK_ZAPIRANJA NUMBER NOT NULL,
CONSTRAINT PK_SALDKONT_AUTOPAY_IZPISKI PRIMARY KEY (ID_SALDKONT_AP_IZPISKI));

CREATE SEQUENCE SALDKONT_AUTOPAY_IZPISKI_SEQ MINVALUE 1 NOMAXVALUE INCREMENT BY 1 START WITH 1 NOCYCLE NOCACHE;

ALTER TABLE SALDKONT_AUTOPAY_IZPISKI
  ADD ID_SALDKONT NUMBER;

insert into verzije_baza (id, dt_vpis, verzija, ver_nr, opis) 
values 
(511, SYSDATE, '5.5', 431, 'Autopay zapiranje');