ALTER TABLE NCARD_TYPE
ADD SERVICE VARCHAR2(6 CHAR);

ALTER TABLE M_STORITVE
ADD NCARD NUMBER;

ALTER TABLE SALDKONT
ADD NCARD NUMBER;

CREATE OR REPLACE VIEW V_STORITVE AS (
	SELECT M.ID_STORITVE, M.ID_DN, M.ID_POGODBE, M.ID_VPS, M.VRSTA, M.ID_LASTNIKA, M.ID_PLOVILA, M.STORITEV, M.KAT, M.TIMEKAT, M.PROCKAT, M.DATUM_OD, M.DATUM_DO, M.KOLICINA, M.POPUST, M.OPIS_SERVIS,
  M.ZNESEK, M.VALUTA, M.TECAJ, M.DAVEK, M.N_PONUDBE, M.N_RACUNA, M.DATUM_RACUNA, M.ZAKLJUCEN, M.KOMENTAR, M.DATUM_KREIRANJA, M.USER_KREIRANJA, M.DATUM_SPREMEMBE, M.USER_SPREMEMBE, M.TIP_SERVIS, M.AUTO,
  M.POPUST1, M.POPUST2, M.NAMENP, M.NAMENP1, M.NAMENP2, M.TECAJP, M.DODATNA_STORITEV, M.DOMACA_VALUTA, M.PROVIZIJA, M.DRZAVA, M.SKUPAJ_OSEB, M.ID_KAT, M.PROVIZIJA_DELITEV, M.ID_REZERVACIJE, M.CUSTOM,
  M.CPROVIZIJA, M.SERVICE_COST, M.COMPLETE, M.KOLICINA_INSTR, M.ID_STORITVE_GEN, M.ID_BATCH, M.ID_SALDKONT, M.ID_LASTNIKA_ORG, M.NNLOCATION_ID, M.MIN_FEE, M.ID_LASTNIK_LEASE, 
  NS.OPIS AS NNSTOMAR_OPIS, NS.INTERNI_OPIS AS NNSTOMAR_INTERNI_OPIS, NS.DAVEK AS NNSTOMAR_DAVEK, NS.KAT AS NNSTOMAR_KAT, NS.TIMEKAT AS NNSTOMAR_TIMEKAT, NS.ENOTA AS NNSTOMAR_ENOTA, NS.FILTER AS NNSTOMAR_FILTER,
  NNE.OPIS AS NNSTOMAR_ENOTA_OPIS, NNE.INTERNI_OPIS AS NNSTOMAR_ENOTA_INTERNI_OPIS, MDN.DATUM_DN AS M_DE_NA_DATUM_DN, MDN.TERMIN_DO AS M_DE_NA_TERMIN_DO, MDN.STEVILKA AS M_DE_NA_STEVILKA,
  MDN.STATUS AS M_DE_NA_STATUS, MDN.ORG_STATUS AS M_DE_NA_ORG_STATUS, M.FULL_AMOUNT, M.SERVICE_TIME, M.ID_PRIVEZ, M.SUBLEASE_PAYMENT, M.ID_DAVEK, M.LASTNIK_LEASE_PROCENT, M.ID_REZERVACIJE_CHARTER, M.ID_SERVICE_TEMPLATE,
  M.NCARD, KU.IME AS KUPCI_IME, KU.PRIIMEK AS KUPCI_PRIIMEK, PL.IME AS PLOVILA_IME
	FROM M_STORITVE M
  LEFT OUTER JOIN M_NNSTOMAR NS ON NS.SIFRA = M.STORITEV
  LEFT OUTER JOIN NNENOTE NNE ON NNE.SIFRA = NS.ENOTA
  LEFT OUTER JOIN M_DE_NA MDN ON MDN.ID_DN = M.ID_DN
  LEFT OUTER JOIN KUPCI KU ON KU.ID = M.ID_LASTNIKA
  LEFT OUTER JOIN PLOVILA PL ON PL.ID = M.ID_PLOVILA
);

CREATE OR REPLACE VIEW V_RACUN_DATA AS (
  SELECT R.ID_RACUN_DATA, R.N_RACUNA, R.KOLICINA, R.ZN_DAVKA, R.CENABD, R.ZNESEK, R.ID_OBRACUN, R.ID_STORITVE, R.ID_SALDKONT, R.ZAP_ST, R.POPUST, R.DAV_STOPNJA, R.STORNO, 
  R.ST_DN, R.RN_TEKST, R.AVT_FAKT, R.NETO, R.NON_REFUND, R.TIP, R.ID_STORITVE_GEN, R.DEPOSIT_AMOUNT, R.DATUM_OD, R.DATUM_DO, R.KOMENTAR, 
  S.ZNESEK AS SALDKONT_ZNESEK, S.ID_KUPCA AS SALDKONT_ID_KUPCA, S.ID_PLOVILA AS SALDKONT_ID_PLOVILA, S.TECAJ_VALUTE AS SALDKONT_TECAJ_VALUTE,S.TECAJ_PRERACUN AS SALDKONT_TECAJ_PRERACUN, 
  S.VALUTA_RN AS SALDKONT_VALUTA_RN, S.STOAK AS SALDKONT_STOAK, M.NCARD AS STORITVE_NCARD, N.TRIGGER_DEPOSIT AS NNSTOMAR_TRIGGER_DEPOSIT
	FROM RACUN_DATA R
  LEFT OUTER JOIN SALDKONT S ON S.ID_SALDKONT = R.ID_SALDKONT
  LEFT OUTER JOIN M_STORITVE M ON M.ID_STORITVE = R.ID_STORITVE
  LEFT OUTER JOIN M_NNSTOMAR N ON N.SIFRA = M.STORITEV
);

insert into verzije_baza
(id, dt_vpis, verzija, ver_nr, opis) values (975, SYSDATE, '5.5', 895, 'Kartice in depoziti');