ALTER TABLE PRINT_MODULI
ADD ID_EMAIL_TEMPLATE NUMBER;

ALTER TABLE PRINT_PREVOD
ADD ID_EMAIL_TEMPLATE NUMBER;

ALTER TABLE BATCH_PRINT
ADD ID_EMAIL_TEMPLATE NUMBER;

CREATE OR REPLACE VIEW V_PRINT_MODULI AS (
  SELECT P.MODULE_ID, P.OPIS, P.INTERNI_OPIS, P.CR_FILE, P.ID_EMAIL_TEMPLATE, ET.NAME AS EMAIL_TEMPLATE_NAME
	FROM PRINT_MODULI P
  LEFT OUTER JOIN EMAIL_TEMPLATE ET ON ET.ID_EMAIL_TEMPLATE = P.ID_EMAIL_TEMPLATE
);

CREATE OR REPLACE VIEW V_PRINT_PREVOD AS (
  SELECT P.ID_PRINTPREVOD, P.MODULE_ID, P.CR_FILE, P.JEZIK, P.POLJEJEZIK, P.KODA_JEZIKA, P.NNLOCATION_ID, P.ID_EMAIL_TEMPLATE,
  NL.OPIS AS NNLOCATION_OPIS, ET.NAME AS EMAIL_TEMPLATE_NAME
	FROM PRINT_PREVOD P
  LEFT OUTER JOIN NNLOCATION NL ON NL.ID = P.NNLOCATION_ID
  LEFT OUTER JOIN EMAIL_TEMPLATE ET ON ET.ID_EMAIL_TEMPLATE = P.ID_EMAIL_TEMPLATE
);

insert into verzije_baza
(id, dt_vpis, verzija, ver_nr, opis) values (1083, SYSDATE, '5.5', 1003, 'Print moduli')
;