DROP VIEW V_NNVRSKUP
;

CREATE OR REPLACE VIEW V_NNVRSKUP AS (
SELECT N.SIFRA, N.OPIS, N.INTERNI_OPIS, N.VRSTA, N.TRANSFER_FB, N.BARVA, N.NOTE, N.ACTIVE, N.COLOR_PRIORITY, 
  S.NAZIV_SIFRANT AS VRSTA_NAZIV_SIFRANT, S.PRIVZETA_VR AS VRSTA_PRIVZETA_VR, S.INTERNI_OPIS AS VRSTA_INTERNI_OPIS, S.ID_SIFRANT AS VRSTA_ID_SIFRANT, N.NNLOCATION_ID, N.LEVEL_LOYALTY
FROM NNVRSKUP N
LEFT OUTER JOIN SIFRANT S ON S.STRINGTABLE = 'NNVRSKUP' AND S.ID_STRING = 'VRSTA' AND S.KODA_SIFRANT = N.VRSTA
)
;

DELETE FROM SIFRANT WHERE STRINGTABLE='NNVRSKUP_ATRIBUTI' AND ID_STRING='TYPE_COMPARE' AND KODA_SIFRANT='RESERVTION_Q';

INSERT INTO SIFRANT (STRINGTABLE, ID_STRING, KODA_SIFRANT, ID_STR_LABEL, NAZIV_SIFRANT, PRIVZETA_VR, INTERNI_OPIS) 
VALUES ('NNVRSKUP_ATRIBUTI', 'TYPE_COMPARE', 'REC', 'Compare type', 'Reservation cancellation', 'INC', 'Reservation cancellation')
;

insert into verzije_baza
(id, dt_vpis, verzija, ver_nr, opis) values (1617, SYSDATE, '5.5', 1537, 'Loyalty')
;