ALTER TABLE M_STORITVE_INCOME
  ADD BRUTO_FULL NUMBER;

ALTER TABLE M_STORITVE_INCOME
  ADD BRUTO_BERTH NUMBER;

CREATE TABLE M_STOR_BERTH_INCOME (
ID_MSBI NUMBER NOT NULL,
DATUM DATE NOT NULL,
ID_PRIVEZ NUMBER NOT NULL,
BRUTO NUMBER,
ZNESEK NUMBER,
CONSTRAINT M_STOR_BERTH_INCOME_PK PRIMARY KEY (ID_MSBI)
);

CREATE SEQUENCE M_STOR_BERTH_INCOME_SEQ MINVALUE 1 MAXVALUE 9999999999999999999999999999 INCREMENT BY 1 START WITH 1 NOCACHE NOORDER  NOCYCLE;

CREATE UNIQUE INDEX IX_M_STOR_BERTH_INCOME1 
ON M_STOR_BERTH_INCOME (DATUM, ID_PRIVEZ);

CREATE INDEX IX_M_STORITVE_INCOME
ON M_STORITVE_INCOME (DATUM, ID_PRIVEZ);

insert into verzije_baza
(id, dt_vpis, verzija, ver_nr, opis) values (667, SYSDATE, '5.5', 587, 'Berth income');